#!/bin/bash
##################################################
## Tutorial ToDo/TASK                           ##
## * Expand Job run template for bwUniCluster   ##
##   to run at $TMPDIR                          ##
##################################################
## ver.  : 2015-02-25, Robert Barthel, KIT, SCC
##
## Syntax:
##   ^                         = begin of line
##   <int>                     = integer placeholder
##   ^##                       = comment
##   
##   ^#MSUB -l nodes=<int>:ppn=<int> = defines nodes and cores per node
##   ^#MSUB -l walltime=hh:mm:ss     = defines walltime in hh:mm:ss
##   ^#MSUB -N <jobname>             = defines jobname
##   ^#MSUB -m <email_option>        = defines nofication condition
##
## Note  : 
##   - all '#MSUB -?' are equivalent to 'msub -?'
##   - for more options, see 'man msub'
##   - '# MSUB' is a comment, while '#MSUB' is a msub option statement

##################################################
## HEADER: Define here your Compute resources   ##
##################################################
#MSUB -N test
#MSUB -l advres=workshop.54,nodes=1:ppn=1,mem=50mb
#MSUB -l walltime=00:05:00
#MSUB -m n

## Tutorial ToDo: Define variables to avoid repetitions 


##################################################
## BODY                                         ##
##################################################
## a) Tutorial ToDo: load modules if necessary

## b) Define your run directory and generate it
mkdir -pv "${TMP}/${USER}.${MOAB_JOBID:-$$}"
 
## c) Tutorial ToDo: Check existance of run_DIR

## d) copy files from submit_DIR to run_DIR
cd ${MOAB_SUBMITDIR:-${PWD}}
cp -pv gen_files gen_files.inp "${TMP}/${USER}.${MOAB_JOBID:-$$}"

## e) cd to run_DIR and start "binary" together with input file
cd "${TMP}/${USER}.${MOAB_JOBID:-$$}"
./gen_files gen_files.inp

## f) Tutorial ToDo: check run status

## g) transfer files to submit directory
cp -pv files_*.out "${MOAB_SUBMITDIR:-${PWD}}"

## h) Tutorial ToDo: cleanup run_DIR

exit 0
