#!/bin/bash
##################################################
## simple MPI job run template for bwUniCluster ##
##################################################
## ver.  : 2015-02-25, Robert Barthel, KIT, SCC
##
## Syntax:
##   ^                         = begin of line
##   <int>                     = integer placeholder
##   ^##                       = comment
##   
##   ^#MSUB -l nodes=<int>:ppn=<int> = defines nodes and cores per node
##   ^#MSUB -l walltime=hh:mm:ss     = defines walltime in hh:mm:ss
##   ^#MSUB -N <jobname>             = defines jobname
##   ^#MSUB -m <email_option>        = defines nofication condition
##
## Note  : 
##   - all '#MSUB -?' are equivalent to 'msub -?'
##   - for more options, see 'man msub'
##   - '# MSUB' is a comment, while '#MSUB' is a msub option statement

#########################################
## Define here your Compute resources  ##
#########################################
#MSUB -N SimpleMPI
#MSUB -l nodes=1:ppn=2
#MSUB -l walltime=00:05:00
#MSUB -l ADVRES=workshop.54
#MSUB -m n


#########################################
## setup environment etc - edit here   ##
#########################################
## a) load modules if necessary
module load compiler/intel
module load mpi/openmpi
module load numlib/mkl
## 
## b) define full path of your binary
EXE="gen_files"

## c) define output file 
output="$(basename ${EXE})_${MOAB_JOBID:-$$}.log"

## d) define input files 
input="gen_files.inp"



#########################################
## run your binary                     ##
#########################################
mpirun ${EXE}  ${input} > ${output} 2>&1


#########################################
## cleanup your job                    ##
#########################################
## nothing to be done
exit 0
